Pert API 1.0
token
POST /api/v2/auth/access-token
Get access token using device authentication
Description
Base URL: https://auth.pert.paranoid.security
Authenticate a device using signed data and Ed25519 signature verification
The client must sign a JSON payload containing: - client_type: device | user - client_id: Device UUID or API User UUID - timestamp: Unix timestamp (must be within 5 minutes) - nonce: Random string to prevent replay attacks
The signature is verified using the client's public key stored during pairing.
Request body
{
"data": "string",
"signature": "string"
}
Schema of the request body
{
"type": "object",
"properties": {
"data": {
"type": "string"
},
"signature": {
"description": "Base64 encoded Ed25519 signature of data",
"type": "string"
}
}
}
Responses
{
"access_token": "string",
"expires_at": "1777300943056"
}
Schema of the response body
{
"type": "object",
"properties": {
"access_token": {
"type": "string"
},
"expires_at": {
"type": "string",
"example": "1777300943056"
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
POST /api/v2/auth/introspect
Introspect access token
Description
Base URL: https://auth.pert.paranoid.security
Get detailed information about an access token
Returns token metadata including validity status, expiration times, user information, and associated permissions. Useful for validating tokens and understanding user access rights.
Note: expires_at and issued_at are unix-millisecond timestamps serialized as JSON strings.
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
Responses
{
"accesses": [
{
"permissions": [
"string"
],
"role": "ADMIN",
"role_status": "ROLE_STATUS_ACTIVE",
"tenant_uuid": "string"
}
],
"active": true,
"audience": [
"string"
],
"email": "string",
"expires_at": "1777300943056",
"issued_at": "1777299043056",
"issuer": "string",
"jti": "string",
"subject": "string",
"subject_type": "string",
"subject_uuid": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"accesses": {
"type": "array",
"items": {
"$ref": "#/components/schemas/AuthAccess"
}
},
"active": {
"type": "boolean"
},
"audience": {
"type": "array",
"items": {
"type": "string"
}
},
"email": {
"type": "string"
},
"expires_at": {
"type": "string",
"example": "1777300943056"
},
"issued_at": {
"type": "string",
"example": "1777299043056"
},
"issuer": {
"type": "string"
},
"jti": {
"type": "string"
},
"subject": {
"type": "string"
},
"subject_type": {
"type": "string"
},
"subject_uuid": {
"type": "string"
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
devices
POST /api/v2/auth/devices/pairing/initiate
Initiate device pairing process
Description
Base URL: https://auth.pert.paranoid.security
Start the device pairing process for a specific tenant
This endpoint creates a pairing token and QR code data that can be used by a mobile device to complete the pairing process. The pairing token expires after a certain period (typically 5 minutes).
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
Request body
{
"tenant_uuid": "string"
}
Schema of the request body
{
"type": "object",
"properties": {
"tenant_uuid": {
"type": "string"
}
}
}
Responses
{
"expires_at": 0,
"pairing_token": "string",
"qr_data": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"expires_at": {
"type": "integer"
},
"pairing_token": {
"type": "string"
},
"qr_data": {
"type": "string"
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
other
GET /api/v2/auth/time
Get current server time
Description
Base URL: https://auth.pert.paranoid.security
Get the current server time in milliseconds since Unix epoch
Responses
{
"unix_milliseconds": "string",
"unix_seconds": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"unix_milliseconds": {
"type": "string"
},
"unix_seconds": {
"type": "string"
}
}
}
wallet
GET /api/v1/asset
List assets
Description
Base URL: https://wallet.pert.paranoid.security
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
limit |
query | integer | No | Limit | |
offset |
query | integer | No | Offset | |
vaultID |
query | string | No | Filter by vault ID | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Responses
{
"assets": [
{
"balances": {
"available": "string",
"available_atomic": "string",
"block_height": 37,
"frozen": "string",
"frozen_atomic": "string",
"held": "string",
"held_atomic": "string",
"total": "string",
"total_atomic": "string"
},
"converted_balances": null,
"created_at": "string",
"currency": {
"blockchain_icon_url": "string",
"blockchain_name": "string",
"decimals": 0,
"descriptor": "string",
"icon_url": "string",
"id": "string",
"symbol": "string"
},
"decimals": 6,
"id": "string",
"primary_address": null,
"status": "string",
"updated_at": "string",
"vault_id": "string",
"workspace_id": "string"
}
],
"offset": 0,
"total": 0
}
Schema of the response body
{
"type": "object",
"required": [
"assets",
"offset",
"total"
],
"properties": {
"assets": {
"type": "array",
"items": {
"$ref": "#/components/schemas/WalletAssetView"
}
},
"offset": {
"type": "integer"
},
"total": {
"type": "integer"
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
GET /api/v1/asset/balances
Assets totals amounts
Description
Base URL: https://wallet.pert.paranoid.security
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Responses
{
"converted_balances": {
"available": "string",
"frozen": "string",
"held": "string",
"relevant_on": "string",
"symbol": "string",
"total": "string"
},
"symbol_balances": [
{
"available": "string",
"available_atomic": "string",
"decimals": 0,
"frozen": "string",
"frozen_atomic": "string",
"held": "string",
"held_atomic": "string",
"icon_url": "string",
"symbol": "string",
"total": "string",
"total_atomic": "string"
}
]
}
Schema of the response body
{
"type": "object",
"required": [
"symbol_balances"
],
"properties": {
"converted_balances": {
"$ref": "#/components/schemas/WalletConvertedBalancesView"
},
"symbol_balances": {
"type": "array",
"items": {
"$ref": "#/components/schemas/BalanceSymbolBalanceView"
}
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
GET /api/v1/asset/balances/currencies
Aggregated balances by currency
Description
Base URL: https://wallet.pert.paranoid.security
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Responses
{
"currency_balances": [
{
"available": "string",
"available_atomic": "string",
"currency": {
"blockchain_icon_url": "string",
"blockchain_name": "string",
"decimals": 0,
"descriptor": "string",
"icon_url": "string",
"id": "string",
"symbol": "string"
},
"frozen": "string",
"frozen_atomic": "string",
"held": "string",
"held_atomic": "string",
"total": "string",
"total_atomic": "string"
}
],
"cursor": 0,
"min_cursor": 0,
"snapshot_at": "string"
}
Schema of the response body
{
"type": "object",
"required": [
"currency_balances",
"snapshot_at"
],
"properties": {
"currency_balances": {
"type": "array",
"items": {
"$ref": "#/components/schemas/BalanceCurrencyBalanceView"
}
},
"cursor": {
"type": "integer"
},
"min_cursor": {
"type": "integer"
},
"snapshot_at": {
"type": "string"
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
GET /api/v1/currencies
List available currencies in system
Description
Base URL: https://wallet.pert.paranoid.security
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
testnet |
query | boolean | No | Filter by network type (true — testnet, false — mainnet). Default: false. |
Responses
[
{
"blockchain_icon_url": "string",
"blockchain_name": "string",
"decimals": 0,
"descriptor": "string",
"icon_url": "string",
"id": "string",
"symbol": "string"
}
]
Schema of the response body
{
"type": "array",
"items": {
"$ref": "#/components/schemas/CurrencyView"
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
POST /api/v1/wallet
Create wallet
Description
Base URL: https://wallet.pert.paranoid.security
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Request body
{
"currency_id": "string",
"vault_id": "string"
}
Schema of the request body
{
"type": "object",
"required": [
"currency_id",
"vault_id"
],
"properties": {
"currency_id": {
"type": "string"
},
"vault_id": {
"type": "string"
}
}
}
Responses
{
"assets": [
{
"balances": {
"available": "string",
"available_atomic": "string",
"block_height": 189,
"frozen": "string",
"frozen_atomic": "string",
"held": "string",
"held_atomic": "string",
"total": "string",
"total_atomic": "string"
},
"converted_balances": null,
"created_at": "string",
"currency": {
"blockchain_icon_url": "string",
"blockchain_name": "string",
"decimals": 0,
"descriptor": "string",
"icon_url": "string",
"id": "string",
"symbol": "string"
},
"decimals": 6,
"id": "string",
"primary_address": null,
"status": "string",
"updated_at": "string",
"vault_id": "string",
"workspace_id": "string"
}
]
}
Schema of the response body
{
"type": "object",
"required": [
"assets"
],
"properties": {
"assets": {
"type": "array",
"items": {
"$ref": "#/components/schemas/WalletAssetView"
}
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
gas_station
GET /api/v1/gas_station
Get gas station for the workspace
Description
Base URL: https://wallet.pert.paranoid.security
Returns the gas station status for the current workspace. If no gas station is configured, responds 200 with {configured: false}.
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Responses
{
"configured": true,
"gas_station": {
"assets": [
{
"cap": "string",
"currency_id": "string",
"gas_station_id": "string",
"is_default": true,
"max_gas_price": "string",
"threshold": "string"
}
],
"id": "string",
"vault_id": "string",
"workspace_id": "string"
}
}
Schema of the response body
{
"type": "object",
"properties": {
"configured": {
"type": "boolean"
},
"gas_station": {
"$ref": "#/components/schemas/ModelGasStationView"
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
PUT /api/v1/gas_station/configuration/currency/{cid}
Update gas station currency configuration
Description
Base URL: https://wallet.pert.paranoid.security
Partial update; omitted fields are left unchanged.
Поле max_gas_price: - не указано — значение не меняется - "-1" — без ограничения (разрешены любые комиссии) - "0" — комиссия не допускается
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
cid |
path | string | No | Currency ID | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Request body
{
"cap": "string",
"max_gas_price": "string",
"threshold": "string"
}
Schema of the request body
{
"type": "object",
"properties": {
"cap": {
"type": "string"
},
"max_gas_price": {
"type": "string"
},
"threshold": {
"type": "string"
}
}
}
Responses
{
"cap": "string",
"currency_id": "string",
"gas_station_id": "string",
"is_default": true,
"max_gas_price": "string",
"threshold": "string"
}
Schema of the response body
{
"type": "object",
"required": [
"currency_id",
"gas_station_id"
],
"properties": {
"cap": {
"type": "string"
},
"currency_id": {
"type": "string"
},
"gas_station_id": {
"type": "string"
},
"is_default": {
"type": "boolean"
},
"max_gas_price": {
"type": "string"
},
"threshold": {
"type": "string"
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
POST /api/v1/gas_station/vault/{vid}
Assign vault as gas station
Description
Base URL: https://wallet.pert.paranoid.security
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
vid |
path | string | No | Vault ID | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Responses
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
GET /api/v1/gas_station/{cid}
Get gas station currency configuration
Description
Base URL: https://wallet.pert.paranoid.security
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
cid |
path | string | No | Currency ID | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Responses
{
"cap": "string",
"currency_id": "string",
"gas_station_id": "string",
"is_default": true,
"max_gas_price": "string",
"threshold": "string"
}
Schema of the response body
{
"type": "object",
"required": [
"currency_id",
"gas_station_id"
],
"properties": {
"cap": {
"type": "string"
},
"currency_id": {
"type": "string"
},
"gas_station_id": {
"type": "string"
},
"is_default": {
"type": "boolean"
},
"max_gas_price": {
"type": "string"
},
"threshold": {
"type": "string"
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
POST /api/v1/vault/accounts/{vid}/autofuel/activate
Activate auto-refuel for a vault account
Description
Base URL: https://wallet.pert.paranoid.security
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
vid |
path | string | No | Vault ID | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Responses
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
POST /api/v1/vault/accounts/{vid}/autofuel/deactivate
Deactivate auto-refuel for a vault account
Description
Base URL: https://wallet.pert.paranoid.security
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
vid |
path | string | No | Vault ID | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Responses
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
tags
GET /api/v1/tags
List tags
Description
Base URL: https://wallet.pert.paranoid.security
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
is_protected |
query | boolean | No | Filter by protected flag | |
label |
query | string | No | Filter by label prefix | |
limit |
query | integer | No | Limit | |
offset |
query | integer | No | Offset | |
tag_ids |
query | array | No | Filter by tag IDs (repeat param) | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Responses
{
"offset": 0,
"tags": [
{
"color": "string",
"created_at": "string",
"description": "string",
"id": "string",
"is_protected": true,
"label": "string",
"updated_at": "string",
"workspace_id": "string"
}
],
"total": 0
}
Schema of the response body
{
"type": "object",
"required": [
"offset",
"tags",
"total"
],
"properties": {
"offset": {
"type": "integer"
},
"tags": {
"type": "array",
"items": {
"$ref": "#/components/schemas/TagsTag"
}
},
"total": {
"type": "integer"
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
POST /api/v1/tags
Create tag
Description
Base URL: https://wallet.pert.paranoid.security
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Request body
{
"color": "string",
"description": "string",
"is_protected": true,
"label": "string"
}
Schema of the request body
{
"type": "object",
"required": [
"label"
],
"properties": {
"color": {
"type": "string"
},
"description": {
"type": "string"
},
"is_protected": {
"type": "boolean"
},
"label": {
"type": "string"
}
}
}
Responses
{
"color": "string",
"created_at": "string",
"description": "string",
"id": "string",
"is_protected": true,
"label": "string",
"updated_at": "string",
"workspace_id": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"color": {
"type": "string"
},
"created_at": {
"type": "string"
},
"description": {
"type": "string"
},
"id": {
"type": "string"
},
"is_protected": {
"type": "boolean"
},
"label": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"workspace_id": {
"type": "string"
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
GET /api/v1/tags/{tagId}
Get tag by ID
Description
Base URL: https://wallet.pert.paranoid.security
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
tagId |
path | string | No | Tag ID | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Responses
{
"color": "string",
"created_at": "string",
"description": "string",
"id": "string",
"is_protected": true,
"label": "string",
"updated_at": "string",
"workspace_id": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"color": {
"type": "string"
},
"created_at": {
"type": "string"
},
"description": {
"type": "string"
},
"id": {
"type": "string"
},
"is_protected": {
"type": "boolean"
},
"label": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"workspace_id": {
"type": "string"
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
DELETE /api/v1/tags/{tagId}
Delete tag
Description
Base URL: https://wallet.pert.paranoid.security
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
tagId |
path | string | No | Tag ID | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Responses
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
PATCH /api/v1/tags/{tagId}
Update tag
Description
Base URL: https://wallet.pert.paranoid.security
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
tagId |
path | string | No | Tag ID | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Request body
{
"color": "string",
"description": "string",
"label": "string"
}
Schema of the request body
{
"type": "object",
"properties": {
"color": {
"type": "string"
},
"description": {
"type": "string"
},
"label": {
"type": "string"
}
}
}
Responses
{
"color": "string",
"created_at": "string",
"description": "string",
"id": "string",
"is_protected": true,
"label": "string",
"updated_at": "string",
"workspace_id": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"color": {
"type": "string"
},
"created_at": {
"type": "string"
},
"description": {
"type": "string"
},
"id": {
"type": "string"
},
"is_protected": {
"type": "boolean"
},
"label": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"workspace_id": {
"type": "string"
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
POST /api/v1/vault/tags
attach and/or detach tags to/from vaults
Description
Base URL: https://wallet.pert.paranoid.security
Applies tag_ids_to_attach and tag_ids_to_detach against the given vault_ids in a single request. Pairs that could not be applied (unknown tag/vault, tag limit exceeded, frozen vault) are returned in rejected_operations instead of failing the whole request.
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Request body
{
"tag_ids_to_attach": [
"string"
],
"tag_ids_to_detach": [
"string"
],
"vault_ids": [
"string"
]
}
Schema of the request body
{
"type": "object",
"properties": {
"tag_ids_to_attach": {
"type": "array",
"items": {
"type": "string"
}
},
"tag_ids_to_detach": {
"type": "array",
"items": {
"type": "string"
}
},
"vault_ids": {
"type": "array",
"items": {
"type": "string"
}
}
}
}
Responses
{
"applied_operations": [
{
"operation": "attach",
"tag_id": "string",
"tag_label": "string",
"tag_protected": true,
"vault_id": "string",
"vault_name": "string"
}
],
"rejected_operations": null
}
Schema of the response body
{
"type": "object",
"properties": {
"applied_operations": {
"type": "array",
"items": {
"$ref": "#/components/schemas/TagsOperation"
}
},
"rejected_operations": {
"type": "array",
"items": {
"$ref": "#/components/schemas/TagsOperation"
}
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
transaction
POST /api/v1/transaction
Create transaction
Description
Base URL: https://wallet.pert.paranoid.security
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
X-Attempt-Key |
header | string | No | Attempt key for explicit retry on equivalent failed BTC transaction | |
X-Idempotency-Key |
header | string | No | Unique request identifier | |
X-Utxo-Intent-Key |
header | string | No | UTXO intent key for a new BTC payment with same values | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Request body
{
"amount": "string",
"fee": "string",
"fee_rate_sat_per_vb": "string",
"source_wallet_id": "string",
"target_address": "string",
"target_wallet_id": "string",
"target_whitelisted_asset_id": "string"
}
Schema of the request body
{
"type": "object",
"required": [
"amount",
"source_wallet_id",
"target_address"
],
"properties": {
"amount": {
"type": "string"
},
"fee": {
"type": "string"
},
"fee_rate_sat_per_vb": {
"type": "string"
},
"source_wallet_id": {
"type": "string"
},
"target_address": {
"type": "string"
},
"target_wallet_id": {
"type": "string"
},
"target_whitelisted_asset_id": {
"type": "string"
}
}
}
Responses
{
"aml_screening": {
"direction": "string",
"id": "string",
"matched_risks": [
{
"category": "string",
"category_label": "string",
"exposure_percent": 10.12
}
],
"post_screening_action": "string",
"pre_screening_action": "string",
"risk_level": "string",
"risk_score": 10.12,
"status": "string"
},
"amount": "string",
"amount_usdt": "string",
"balance_version": 0,
"block_height": 0,
"block_time": "string",
"blockchain_name": "string",
"blockman_tx_id": "string",
"created_at": "string",
"decimals": 0,
"descriptor": "string",
"error_code": "string",
"external_link": "string",
"fee": "string",
"fee_asset_id": "string",
"fee_limit": "string",
"formatted_amount": "string",
"formatted_fee": "string",
"from": {
"address": "string",
"balance": {},
"block_height": 130,
"external": true,
"vault_id": "string",
"vault_name": "string",
"whitelisted_wallet_name": "string",
"workspace_id": "string",
"workspace_name": "string"
},
"id": "string",
"idempotency_key": "string",
"seq": 0,
"status": "pending",
"symbol": "string",
"to": null,
"tx_hash": "string",
"updated_at": "string"
}
Schema of the response body
{
"type": "object",
"required": [
"amount",
"created_at",
"decimals",
"fee",
"fee_limit",
"formatted_amount",
"formatted_fee",
"from",
"id",
"status",
"symbol",
"to",
"updated_at"
],
"properties": {
"aml_screening": {
"$ref": "#/components/schemas/TransactionAMLScreeningView"
},
"amount": {
"type": "string"
},
"amount_usdt": {
"type": "string"
},
"balance_version": {
"type": "integer"
},
"block_height": {
"type": "integer"
},
"block_time": {
"type": "string"
},
"blockchain_name": {
"type": "string"
},
"blockman_tx_id": {
"type": "string"
},
"created_at": {
"type": "string"
},
"decimals": {
"type": "integer"
},
"descriptor": {
"type": "string"
},
"error_code": {
"type": "string"
},
"external_link": {
"type": "string"
},
"fee": {
"type": "string"
},
"fee_asset_id": {
"type": "string"
},
"fee_limit": {
"type": "string"
},
"formatted_amount": {
"type": "string"
},
"formatted_fee": {
"type": "string"
},
"from": {
"$ref": "#/components/schemas/TransactionWallet"
},
"id": {
"type": "string"
},
"idempotency_key": {
"type": "string"
},
"seq": {
"type": "integer"
},
"status": {
"$ref": "#/components/schemas/TransactionStatus"
},
"symbol": {
"type": "string"
},
"to": {
"$ref": "#/components/schemas/TransactionWallet"
},
"tx_hash": {
"type": "string"
},
"updated_at": {
"type": "string"
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
GET /api/v1/transactions
List transactions
Description
Base URL: https://wallet.pert.paranoid.security
Get a paginated list of transactions with optional filters
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
currency_id |
query | string | No | Filter by currency ID | |
from |
query | string | No | Filter by period start (RFC3339 format, e.g. 2023-01-01T00:00:00Z). Inclusive. Applied to the field selected by order_by. | |
from_address |
query | string | No | Filter by source address | |
from_vault_id |
query | string | No | Filter by source vault ID | |
limit |
query | integer | No | Limit results (default 15, max 100) | |
offset |
query | integer | No | Offset for pagination (default 0) | |
order_by |
query | string | No | Order results by timestamp (default created_at) | |
order_dir |
query | string | No | Sort direction (default desc) | |
status |
query | array | No | Filter by status (repeat param) | |
to |
query | string | No | Filter by period end (RFC3339 format, e.g. 2023-12-31T23:59:59.999Z). Inclusive. For end-of-day filtering, specify time as 23:59:59.999Z. Applied to the field selected by order_by. | |
to_address |
query | string | No | Filter by destination address | |
to_vault_id |
query | string | No | Filter by target vault ID | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Responses
{
"limit": 0,
"offset": 0,
"total": 0,
"transactions": [
{
"aml_screening": {
"direction": "string",
"id": "string",
"matched_risks": [
{
"category": "string",
"category_label": "string",
"exposure_percent": 10.12
}
],
"post_screening_action": "string",
"pre_screening_action": "string",
"risk_level": "string",
"risk_score": 10.12,
"status": "string"
},
"amount": "string",
"amount_usdt": "string",
"balance_version": 0,
"block_height": 0,
"block_time": "string",
"blockchain_name": "string",
"blockman_tx_id": "string",
"created_at": "string",
"decimals": 0,
"descriptor": "string",
"error_code": "string",
"external_link": "string",
"fee": "string",
"fee_asset_id": "string",
"fee_limit": "string",
"formatted_amount": "string",
"formatted_fee": "string",
"from": {
"address": "string",
"balance": {},
"block_height": 261,
"external": true,
"vault_id": "string",
"vault_name": "string",
"whitelisted_wallet_name": "string",
"workspace_id": "string",
"workspace_name": "string"
},
"id": "string",
"idempotency_key": "string",
"seq": 0,
"status": "pending",
"symbol": "string",
"to": null,
"tx_hash": "string",
"updated_at": "string"
}
]
}
Schema of the response body
{
"type": "object",
"required": [
"limit",
"offset",
"total",
"transactions"
],
"properties": {
"limit": {
"type": "integer"
},
"offset": {
"type": "integer"
},
"total": {
"type": "integer"
},
"transactions": {
"type": "array",
"items": {
"$ref": "#/components/schemas/TransactionView"
}
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
GET /api/v1/transactions/changes
List transaction changes (reconciliation feed)
Description
Base URL: https://wallet.pert.paranoid.security
Cursor-paginated append-only feed of balance-affecting transaction changes for the current workspace. Page with since_cursor until has_more is false; upsert each item by transaction_id.
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
limit |
query | integer | No | Max items per page (default 100, max 1000) | |
since_cursor |
query | integer | No | Return changes after this cursor (default 0 = from the beginning) | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Responses
{
"has_more": true,
"items": [
{
"aml_screening": {
"direction": "string",
"id": "string",
"matched_risks": [
{
"category": "string",
"category_label": "string",
"exposure_percent": 10.12
}
],
"post_screening_action": "string",
"pre_screening_action": "string",
"risk_level": "string",
"risk_score": 10.12,
"status": "string"
},
"amount": "string",
"amount_usdt": "string",
"balance_version": 0,
"block_height": 0,
"block_time": "string",
"blockchain_name": "string",
"blockman_tx_id": "string",
"created_at": "string",
"decimals": 0,
"descriptor": "string",
"error_code": "string",
"external_link": "string",
"fee": "string",
"fee_asset_id": "string",
"fee_limit": "string",
"formatted_amount": "string",
"formatted_fee": "string",
"from": {
"address": "string",
"balance": {},
"block_height": 117,
"external": true,
"vault_id": "string",
"vault_name": "string",
"whitelisted_wallet_name": "string",
"workspace_id": "string",
"workspace_name": "string"
},
"id": "string",
"idempotency_key": "string",
"seq": 0,
"status": "pending",
"symbol": "string",
"to": null,
"tx_hash": "string",
"updated_at": "string"
}
],
"min_cursor": 0,
"next_cursor": 0
}
Schema of the response body
{
"type": "object",
"properties": {
"has_more": {
"type": "boolean"
},
"items": {
"type": "array",
"items": {
"$ref": "#/components/schemas/TransactionView"
}
},
"min_cursor": {
"type": "integer"
},
"next_cursor": {
"type": "integer"
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
POST /api/v1/transactions/fee
Show transaction fee
Description
Base URL: https://wallet.pert.paranoid.security
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Request body
{
"amount": "string",
"source_wallet_id": "string",
"target_address": "string",
"target_wallet_id": "string",
"target_whitelisted_asset_id": "string"
}
Schema of the request body
{
"type": "object",
"required": [
"amount",
"source_wallet_id"
],
"properties": {
"amount": {
"type": "string"
},
"source_wallet_id": {
"type": "string"
},
"target_address": {
"type": "string"
},
"target_wallet_id": {
"type": "string"
},
"target_whitelisted_asset_id": {
"type": "string"
}
}
}
Responses
{
"activation": {
"amount": "string",
"name": "string"
},
"effective": {
"base": null,
"fee_rate_sat_per_vb": "string",
"resource": null,
"tech": null
},
"max": null,
"min": null,
"min_transferable": null
}
Schema of the response body
{
"type": "object",
"properties": {
"activation": {
"$ref": "#/components/schemas/TransactionFeeValueView"
},
"effective": {
"$ref": "#/components/schemas/TransactionFeeGroupView"
},
"max": {
"$ref": "#/components/schemas/TransactionFeeGroupView"
},
"min": {
"$ref": "#/components/schemas/TransactionFeeGroupView"
},
"min_transferable": {
"$ref": "#/components/schemas/TransactionFeeValueView"
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
GET /api/v1/transactions/{id}
Get transaction by ID
Description
Base URL: https://wallet.pert.paranoid.security
Get a single transaction by its ID
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
id |
path | string | No | Transaction ID | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Responses
{
"aml_screening": {
"direction": "string",
"id": "string",
"matched_risks": [
{
"category": "string",
"category_label": "string",
"exposure_percent": 10.12
}
],
"post_screening_action": "string",
"pre_screening_action": "string",
"risk_level": "string",
"risk_score": 10.12,
"status": "string"
},
"amount": "string",
"amount_usdt": "string",
"balance_version": 0,
"block_height": 0,
"block_time": "string",
"blockchain_name": "string",
"blockman_tx_id": "string",
"created_at": "string",
"decimals": 0,
"descriptor": "string",
"error_code": "string",
"external_link": "string",
"fee": "string",
"fee_asset_id": "string",
"fee_limit": "string",
"formatted_amount": "string",
"formatted_fee": "string",
"from": {
"address": "string",
"balance": {},
"block_height": 135,
"external": true,
"vault_id": "string",
"vault_name": "string",
"whitelisted_wallet_name": "string",
"workspace_id": "string",
"workspace_name": "string"
},
"id": "string",
"idempotency_key": "string",
"seq": 0,
"status": "pending",
"symbol": "string",
"to": null,
"tx_hash": "string",
"updated_at": "string"
}
Schema of the response body
{
"type": "object",
"required": [
"amount",
"created_at",
"decimals",
"fee",
"fee_limit",
"formatted_amount",
"formatted_fee",
"from",
"id",
"status",
"symbol",
"to",
"updated_at"
],
"properties": {
"aml_screening": {
"$ref": "#/components/schemas/TransactionAMLScreeningView"
},
"amount": {
"type": "string"
},
"amount_usdt": {
"type": "string"
},
"balance_version": {
"type": "integer"
},
"block_height": {
"type": "integer"
},
"block_time": {
"type": "string"
},
"blockchain_name": {
"type": "string"
},
"blockman_tx_id": {
"type": "string"
},
"created_at": {
"type": "string"
},
"decimals": {
"type": "integer"
},
"descriptor": {
"type": "string"
},
"error_code": {
"type": "string"
},
"external_link": {
"type": "string"
},
"fee": {
"type": "string"
},
"fee_asset_id": {
"type": "string"
},
"fee_limit": {
"type": "string"
},
"formatted_amount": {
"type": "string"
},
"formatted_fee": {
"type": "string"
},
"from": {
"$ref": "#/components/schemas/TransactionWallet"
},
"id": {
"type": "string"
},
"idempotency_key": {
"type": "string"
},
"seq": {
"type": "integer"
},
"status": {
"$ref": "#/components/schemas/TransactionStatus"
},
"symbol": {
"type": "string"
},
"to": {
"$ref": "#/components/schemas/TransactionWallet"
},
"tx_hash": {
"type": "string"
},
"updated_at": {
"type": "string"
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
POST /api/v1/transactions/{id}/cancel
Cancel transaction by ID
Description
Base URL: https://wallet.pert.paranoid.security
Отменяет транзакцию, пока платформа ещё ею управляет, и освобождает удержанные средства. Отмена невозможна после того, как подпись собрана и транзакция ушла в сеть.
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
id |
path | string | No | Transaction ID | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Responses
{
"aml_screening": {
"direction": "string",
"id": "string",
"matched_risks": [
{
"category": "string",
"category_label": "string",
"exposure_percent": 10.12
}
],
"post_screening_action": "string",
"pre_screening_action": "string",
"risk_level": "string",
"risk_score": 10.12,
"status": "string"
},
"amount": "string",
"amount_usdt": "string",
"balance_version": 0,
"block_height": 0,
"block_time": "string",
"blockchain_name": "string",
"blockman_tx_id": "string",
"created_at": "string",
"decimals": 0,
"descriptor": "string",
"error_code": "string",
"external_link": "string",
"fee": "string",
"fee_asset_id": "string",
"fee_limit": "string",
"formatted_amount": "string",
"formatted_fee": "string",
"from": {
"address": "string",
"balance": {},
"block_height": 36,
"external": true,
"vault_id": "string",
"vault_name": "string",
"whitelisted_wallet_name": "string",
"workspace_id": "string",
"workspace_name": "string"
},
"id": "string",
"idempotency_key": "string",
"seq": 0,
"status": "pending",
"symbol": "string",
"to": null,
"tx_hash": "string",
"updated_at": "string"
}
Schema of the response body
{
"type": "object",
"required": [
"amount",
"created_at",
"decimals",
"fee",
"fee_limit",
"formatted_amount",
"formatted_fee",
"from",
"id",
"status",
"symbol",
"to",
"updated_at"
],
"properties": {
"aml_screening": {
"$ref": "#/components/schemas/TransactionAMLScreeningView"
},
"amount": {
"type": "string"
},
"amount_usdt": {
"type": "string"
},
"balance_version": {
"type": "integer"
},
"block_height": {
"type": "integer"
},
"block_time": {
"type": "string"
},
"blockchain_name": {
"type": "string"
},
"blockman_tx_id": {
"type": "string"
},
"created_at": {
"type": "string"
},
"decimals": {
"type": "integer"
},
"descriptor": {
"type": "string"
},
"error_code": {
"type": "string"
},
"external_link": {
"type": "string"
},
"fee": {
"type": "string"
},
"fee_asset_id": {
"type": "string"
},
"fee_limit": {
"type": "string"
},
"formatted_amount": {
"type": "string"
},
"formatted_fee": {
"type": "string"
},
"from": {
"$ref": "#/components/schemas/TransactionWallet"
},
"id": {
"type": "string"
},
"idempotency_key": {
"type": "string"
},
"seq": {
"type": "integer"
},
"status": {
"$ref": "#/components/schemas/TransactionStatus"
},
"symbol": {
"type": "string"
},
"to": {
"$ref": "#/components/schemas/TransactionWallet"
},
"tx_hash": {
"type": "string"
},
"updated_at": {
"type": "string"
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
POST /api/v1/transactions/{id}/unfreeze
Unfreeze transaction by ID
Description
Base URL: https://wallet.pert.paranoid.security
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
id |
path | string | No | Transaction ID | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Responses
{
"aml_screening": {
"direction": "string",
"id": "string",
"matched_risks": [
{
"category": "string",
"category_label": "string",
"exposure_percent": 10.12
}
],
"post_screening_action": "string",
"pre_screening_action": "string",
"risk_level": "string",
"risk_score": 10.12,
"status": "string"
},
"amount": "string",
"amount_usdt": "string",
"balance_version": 0,
"block_height": 0,
"block_time": "string",
"blockchain_name": "string",
"blockman_tx_id": "string",
"created_at": "string",
"decimals": 0,
"descriptor": "string",
"error_code": "string",
"external_link": "string",
"fee": "string",
"fee_asset_id": "string",
"fee_limit": "string",
"formatted_amount": "string",
"formatted_fee": "string",
"from": {
"address": "string",
"balance": {},
"block_height": 255,
"external": true,
"vault_id": "string",
"vault_name": "string",
"whitelisted_wallet_name": "string",
"workspace_id": "string",
"workspace_name": "string"
},
"id": "string",
"idempotency_key": "string",
"seq": 0,
"status": "pending",
"symbol": "string",
"to": null,
"tx_hash": "string",
"updated_at": "string"
}
Schema of the response body
{
"type": "object",
"required": [
"amount",
"created_at",
"decimals",
"fee",
"fee_limit",
"formatted_amount",
"formatted_fee",
"from",
"id",
"status",
"symbol",
"to",
"updated_at"
],
"properties": {
"aml_screening": {
"$ref": "#/components/schemas/TransactionAMLScreeningView"
},
"amount": {
"type": "string"
},
"amount_usdt": {
"type": "string"
},
"balance_version": {
"type": "integer"
},
"block_height": {
"type": "integer"
},
"block_time": {
"type": "string"
},
"blockchain_name": {
"type": "string"
},
"blockman_tx_id": {
"type": "string"
},
"created_at": {
"type": "string"
},
"decimals": {
"type": "integer"
},
"descriptor": {
"type": "string"
},
"error_code": {
"type": "string"
},
"external_link": {
"type": "string"
},
"fee": {
"type": "string"
},
"fee_asset_id": {
"type": "string"
},
"fee_limit": {
"type": "string"
},
"formatted_amount": {
"type": "string"
},
"formatted_fee": {
"type": "string"
},
"from": {
"$ref": "#/components/schemas/TransactionWallet"
},
"id": {
"type": "string"
},
"idempotency_key": {
"type": "string"
},
"seq": {
"type": "integer"
},
"status": {
"$ref": "#/components/schemas/TransactionStatus"
},
"symbol": {
"type": "string"
},
"to": {
"$ref": "#/components/schemas/TransactionWallet"
},
"tx_hash": {
"type": "string"
},
"updated_at": {
"type": "string"
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
vault
GET /api/v1/vault
Show workspace vaults
Description
Base URL: https://wallet.pert.paranoid.security
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
active_only |
query | boolean | No | Only active vaults and assets | |
currency_id |
query | string | No | Currency | |
extended |
query | boolean | No | Show extended information | |
limit |
query | integer | No | Limit | |
match_mode |
query | string | No | Tag match mode: any (at least one tag) or all (every tag). Defaults to any | |
offset |
query | integer | No | Offset | |
tag_ids |
query | array | No | Filter by tag IDs (repeat param) | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Responses
{
"offset": 0,
"total": 0,
"vaults": [
{
"assets": [
{
"balances": {
"available": "string",
"available_atomic": "string",
"block_height": 293,
"frozen": "string",
"frozen_atomic": "string",
"held": "string",
"held_atomic": "string",
"total": "string",
"total_atomic": "string"
},
"converted_balances": null,
"created_at": "string",
"currency": {
"blockchain_icon_url": "string",
"blockchain_name": "string",
"decimals": 0,
"descriptor": "string",
"icon_url": "string",
"id": "string",
"symbol": "string"
},
"decimals": 6,
"id": "string",
"primary_address": null,
"status": "string",
"updated_at": "string",
"vault_id": "string",
"workspace_id": "string"
}
],
"auto_fuel": true,
"converted_balances": {
"available": "string",
"frozen": "string",
"held": "string",
"relevant_on": "string",
"symbol": "string",
"total": "string"
},
"created_at": "string",
"id": "string",
"name": "string",
"status": "string",
"tags": [
{
"color": "string",
"created_at": "string",
"description": "string",
"id": "string",
"is_protected": true,
"label": "string",
"updated_at": "string",
"workspace_id": "string"
}
],
"updated_at": "string",
"workspace_id": "string"
}
]
}
Schema of the response body
{
"type": "object",
"required": [
"offset",
"total",
"vaults"
],
"properties": {
"offset": {
"type": "integer"
},
"total": {
"type": "integer"
},
"vaults": {
"type": "array",
"items": {
"$ref": "#/components/schemas/VaultextView"
}
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
POST /api/v1/vault
Create vault
Description
Base URL: https://wallet.pert.paranoid.security
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Request body
{
"auto_fuel": true,
"name": "string"
}
Schema of the request body
{
"type": "object",
"required": [
"name"
],
"properties": {
"auto_fuel": {
"type": "boolean"
},
"name": {
"type": "string"
}
}
}
Responses
{
"auto_fuel": true,
"converted_balances": {
"available": "string",
"frozen": "string",
"held": "string",
"relevant_on": "string",
"symbol": "string",
"total": "string"
},
"created_at": "string",
"id": "string",
"name": "string",
"status": "string",
"tags": [
{
"color": "string",
"created_at": "string",
"description": "string",
"id": "string",
"is_protected": true,
"label": "string",
"updated_at": "string",
"workspace_id": "string"
}
],
"updated_at": "string",
"workspace_id": "string"
}
Schema of the response body
{
"type": "object",
"required": [
"created_at",
"id",
"name",
"status",
"updated_at",
"workspace_id"
],
"properties": {
"auto_fuel": {
"type": "boolean"
},
"converted_balances": {
"$ref": "#/components/schemas/VaultConvertedBalancesView"
},
"created_at": {
"type": "string"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"status": {
"type": "string"
},
"tags": {
"type": "array",
"items": {
"$ref": "#/components/schemas/TagsTag"
}
},
"updated_at": {
"type": "string"
},
"workspace_id": {
"type": "string"
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
GET /api/v1/vault/by-name
Get vault by name
Description
Base URL: https://wallet.pert.paranoid.security
Returns a vault for the current workspace looked up by its unique name. Use the extended flag to also include assets.
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
extended |
query | boolean | No | Show extended information | |
name |
query | string | No | Vault name | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Responses
{
"assets": [
{
"balances": {
"available": "string",
"available_atomic": "string",
"block_height": 36,
"frozen": "string",
"frozen_atomic": "string",
"held": "string",
"held_atomic": "string",
"total": "string",
"total_atomic": "string"
},
"converted_balances": null,
"created_at": "string",
"currency": {
"blockchain_icon_url": "string",
"blockchain_name": "string",
"decimals": 0,
"descriptor": "string",
"icon_url": "string",
"id": "string",
"symbol": "string"
},
"decimals": 6,
"id": "string",
"primary_address": null,
"status": "string",
"updated_at": "string",
"vault_id": "string",
"workspace_id": "string"
}
],
"auto_fuel": true,
"converted_balances": {
"available": "string",
"frozen": "string",
"held": "string",
"relevant_on": "string",
"symbol": "string",
"total": "string"
},
"created_at": "string",
"id": "string",
"name": "string",
"status": "string",
"tags": [
{
"color": "string",
"created_at": "string",
"description": "string",
"id": "string",
"is_protected": true,
"label": "string",
"updated_at": "string",
"workspace_id": "string"
}
],
"updated_at": "string",
"workspace_id": "string"
}
Schema of the response body
{
"type": "object",
"required": [
"created_at",
"id",
"name",
"status",
"updated_at",
"workspace_id"
],
"properties": {
"assets": {
"type": "array",
"items": {
"$ref": "#/components/schemas/WalletAssetView"
}
},
"auto_fuel": {
"type": "boolean"
},
"converted_balances": {
"$ref": "#/components/schemas/VaultConvertedBalancesView"
},
"created_at": {
"type": "string"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"status": {
"type": "string"
},
"tags": {
"type": "array",
"items": {
"$ref": "#/components/schemas/TagsTag"
}
},
"updated_at": {
"type": "string"
},
"workspace_id": {
"type": "string"
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
GET /api/v1/vault/{vid}
Get vault by id
Description
Base URL: https://wallet.pert.paranoid.security
Returns a vault for the current workspace looked up by its id. Use the extended flag to also include assets.
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
extended |
query | boolean | No | Show extended information | |
vid |
path | string | No | Vault ID | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Responses
{
"assets": [
{
"balances": {
"available": "string",
"available_atomic": "string",
"block_height": 282,
"frozen": "string",
"frozen_atomic": "string",
"held": "string",
"held_atomic": "string",
"total": "string",
"total_atomic": "string"
},
"converted_balances": null,
"created_at": "string",
"currency": {
"blockchain_icon_url": "string",
"blockchain_name": "string",
"decimals": 0,
"descriptor": "string",
"icon_url": "string",
"id": "string",
"symbol": "string"
},
"decimals": 6,
"id": "string",
"primary_address": null,
"status": "string",
"updated_at": "string",
"vault_id": "string",
"workspace_id": "string"
}
],
"auto_fuel": true,
"converted_balances": {
"available": "string",
"frozen": "string",
"held": "string",
"relevant_on": "string",
"symbol": "string",
"total": "string"
},
"created_at": "string",
"id": "string",
"name": "string",
"status": "string",
"tags": [
{
"color": "string",
"created_at": "string",
"description": "string",
"id": "string",
"is_protected": true,
"label": "string",
"updated_at": "string",
"workspace_id": "string"
}
],
"updated_at": "string",
"workspace_id": "string"
}
Schema of the response body
{
"type": "object",
"required": [
"created_at",
"id",
"name",
"status",
"updated_at",
"workspace_id"
],
"properties": {
"assets": {
"type": "array",
"items": {
"$ref": "#/components/schemas/WalletAssetView"
}
},
"auto_fuel": {
"type": "boolean"
},
"converted_balances": {
"$ref": "#/components/schemas/VaultConvertedBalancesView"
},
"created_at": {
"type": "string"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"status": {
"type": "string"
},
"tags": {
"type": "array",
"items": {
"$ref": "#/components/schemas/TagsTag"
}
},
"updated_at": {
"type": "string"
},
"workspace_id": {
"type": "string"
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
PUT /api/v1/vault/{vid}/rename
Rename vault
Description
Base URL: https://wallet.pert.paranoid.security
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
vid |
path | string | No | Vault ID | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Request body
{
"name": "string"
}
Schema of the request body
{
"type": "object",
"required": [
"name"
],
"properties": {
"name": {
"type": "string"
}
}
}
Responses
{
"auto_fuel": true,
"converted_balances": {
"available": "string",
"frozen": "string",
"held": "string",
"relevant_on": "string",
"symbol": "string",
"total": "string"
},
"created_at": "string",
"id": "string",
"name": "string",
"status": "string",
"tags": [
{
"color": "string",
"created_at": "string",
"description": "string",
"id": "string",
"is_protected": true,
"label": "string",
"updated_at": "string",
"workspace_id": "string"
}
],
"updated_at": "string",
"workspace_id": "string"
}
Schema of the response body
{
"type": "object",
"required": [
"created_at",
"id",
"name",
"status",
"updated_at",
"workspace_id"
],
"properties": {
"auto_fuel": {
"type": "boolean"
},
"converted_balances": {
"$ref": "#/components/schemas/VaultConvertedBalancesView"
},
"created_at": {
"type": "string"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"status": {
"type": "string"
},
"tags": {
"type": "array",
"items": {
"$ref": "#/components/schemas/TagsTag"
}
},
"updated_at": {
"type": "string"
},
"workspace_id": {
"type": "string"
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
PUT /api/v1/vault/{vid}/unfreeze
Unfreeze vault
Description
Base URL: https://wallet.pert.paranoid.security
Unfreezes the vault. Requires UNFREEZE_VAULT within the workspace, or the platform-scoped UNFREEZE_ANY_VAULT (no workspace context needed).
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
vid |
path | string | No | Vault ID | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Responses
{
"auto_fuel": true,
"converted_balances": {
"available": "string",
"frozen": "string",
"held": "string",
"relevant_on": "string",
"symbol": "string",
"total": "string"
},
"created_at": "string",
"id": "string",
"name": "string",
"status": "string",
"tags": [
{
"color": "string",
"created_at": "string",
"description": "string",
"id": "string",
"is_protected": true,
"label": "string",
"updated_at": "string",
"workspace_id": "string"
}
],
"updated_at": "string",
"workspace_id": "string"
}
Schema of the response body
{
"type": "object",
"required": [
"created_at",
"id",
"name",
"status",
"updated_at",
"workspace_id"
],
"properties": {
"auto_fuel": {
"type": "boolean"
},
"converted_balances": {
"$ref": "#/components/schemas/VaultConvertedBalancesView"
},
"created_at": {
"type": "string"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"status": {
"type": "string"
},
"tags": {
"type": "array",
"items": {
"$ref": "#/components/schemas/TagsTag"
}
},
"updated_at": {
"type": "string"
},
"workspace_id": {
"type": "string"
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
whitelisted-wallets
GET /api/v1/whitelisted-wallets
List whitelisted wallets
Description
Base URL: https://wallet.pert.paranoid.security
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
currency_id |
query | string | No | Filter by currency | |
limit |
query | integer | No | Limit | |
offset |
query | integer | No | Offset | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Responses
{
"offset": 0,
"total": 0,
"wallets": [
{
"addresses": [
{
"address": "string",
"asset": {
"created_at": "string",
"decimals": 0,
"descriptor": "string",
"ext_asset_id": "string",
"icon_url": "string",
"id": "string",
"is_base": true,
"status": "string",
"symbol": "string",
"updated_at": "string",
"whitelisted_wallet_id": "string"
},
"asset_id": "string",
"balance": "string",
"converted_balance": {
"formatted_value": "string",
"relevant_on": "string",
"symbol": "string"
},
"created_at": "string",
"id": "string",
"updated_at": "string",
"whitelisted_wallet_id": "string",
"whitelisted_wallet_type": "internal"
}
],
"created_at": "string",
"id": "string",
"name": "string",
"total_balance": null,
"type": null,
"updated_at": "string",
"workspace_id": "string"
}
]
}
Schema of the response body
{
"type": "object",
"required": [
"offset",
"total",
"wallets"
],
"properties": {
"offset": {
"type": "integer"
},
"total": {
"type": "integer"
},
"wallets": {
"type": "array",
"items": {
"$ref": "#/components/schemas/AddressWhitelistedWallet"
}
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
POST /api/v1/whitelisted-wallets
Create whitelisted wallet
Description
Base URL: https://wallet.pert.paranoid.security
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Request body
{
"name": "string",
"type": null
}
Schema of the request body
{
"type": "object",
"required": [
"name",
"type"
],
"properties": {
"name": {
"type": "string"
},
"type": {
"enum": [
"internal",
"external",
"contract"
],
"allOf": [
{
"$ref": "#/components/schemas/AddressWalletType"
}
]
}
}
}
Responses
{
"addresses": [
{
"address": "string",
"asset": {
"created_at": "string",
"decimals": 0,
"descriptor": "string",
"ext_asset_id": "string",
"icon_url": "string",
"id": "string",
"is_base": true,
"status": "string",
"symbol": "string",
"updated_at": "string",
"whitelisted_wallet_id": "string"
},
"asset_id": "string",
"balance": "string",
"converted_balance": {
"formatted_value": "string",
"relevant_on": "string",
"symbol": "string"
},
"created_at": "string",
"id": "string",
"updated_at": "string",
"whitelisted_wallet_id": "string",
"whitelisted_wallet_type": "internal"
}
],
"created_at": "string",
"id": "string",
"name": "string",
"total_balance": null,
"type": null,
"updated_at": "string",
"workspace_id": "string"
}
Schema of the response body
{
"type": "object",
"required": [
"created_at",
"id",
"name",
"type",
"updated_at",
"workspace_id"
],
"properties": {
"addresses": {
"type": "array",
"items": {
"$ref": "#/components/schemas/AddressAddress"
}
},
"created_at": {
"type": "string"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"total_balance": {
"$ref": "#/components/schemas/PricesConvertedAmount"
},
"type": {
"$ref": "#/components/schemas/AddressWalletType"
},
"updated_at": {
"type": "string"
},
"workspace_id": {
"type": "string"
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
GET /api/v1/whitelisted-wallets/{wallet_id}
Get whitelisted wallet by ID
Description
Base URL: https://wallet.pert.paranoid.security
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
wallet_id |
path | string | No | Wallet ID | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Responses
{
"addresses": [
{
"address": "string",
"asset": {
"created_at": "string",
"decimals": 0,
"descriptor": "string",
"ext_asset_id": "string",
"icon_url": "string",
"id": "string",
"is_base": true,
"status": "string",
"symbol": "string",
"updated_at": "string",
"whitelisted_wallet_id": "string"
},
"asset_id": "string",
"balance": "string",
"converted_balance": {
"formatted_value": "string",
"relevant_on": "string",
"symbol": "string"
},
"created_at": "string",
"id": "string",
"updated_at": "string",
"whitelisted_wallet_id": "string",
"whitelisted_wallet_type": "internal"
}
],
"created_at": "string",
"id": "string",
"name": "string",
"total_balance": null,
"type": null,
"updated_at": "string",
"workspace_id": "string"
}
Schema of the response body
{
"type": "object",
"required": [
"created_at",
"id",
"name",
"type",
"updated_at",
"workspace_id"
],
"properties": {
"addresses": {
"type": "array",
"items": {
"$ref": "#/components/schemas/AddressAddress"
}
},
"created_at": {
"type": "string"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"total_balance": {
"$ref": "#/components/schemas/PricesConvertedAmount"
},
"type": {
"$ref": "#/components/schemas/AddressWalletType"
},
"updated_at": {
"type": "string"
},
"workspace_id": {
"type": "string"
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
PUT /api/v1/whitelisted-wallets/{wallet_id}
Update whitelisted wallet
Description
Base URL: https://wallet.pert.paranoid.security
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
wallet_id |
path | string | No | Wallet ID | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Request body
{
"name": "string"
}
Schema of the request body
{
"type": "object",
"required": [
"name"
],
"properties": {
"name": {
"type": "string"
}
}
}
Responses
{
"addresses": [
{
"address": "string",
"asset": {
"created_at": "string",
"decimals": 0,
"descriptor": "string",
"ext_asset_id": "string",
"icon_url": "string",
"id": "string",
"is_base": true,
"status": "string",
"symbol": "string",
"updated_at": "string",
"whitelisted_wallet_id": "string"
},
"asset_id": "string",
"balance": "string",
"converted_balance": {
"formatted_value": "string",
"relevant_on": "string",
"symbol": "string"
},
"created_at": "string",
"id": "string",
"updated_at": "string",
"whitelisted_wallet_id": "string",
"whitelisted_wallet_type": "internal"
}
],
"created_at": "string",
"id": "string",
"name": "string",
"total_balance": null,
"type": null,
"updated_at": "string",
"workspace_id": "string"
}
Schema of the response body
{
"type": "object",
"required": [
"created_at",
"id",
"name",
"type",
"updated_at",
"workspace_id"
],
"properties": {
"addresses": {
"type": "array",
"items": {
"$ref": "#/components/schemas/AddressAddress"
}
},
"created_at": {
"type": "string"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"total_balance": {
"$ref": "#/components/schemas/PricesConvertedAmount"
},
"type": {
"$ref": "#/components/schemas/AddressWalletType"
},
"updated_at": {
"type": "string"
},
"workspace_id": {
"type": "string"
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
DELETE /api/v1/whitelisted-wallets/{wallet_id}
Delete whitelisted wallet
Description
Base URL: https://wallet.pert.paranoid.security
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
wallet_id |
path | string | No | Wallet ID | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Responses
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
POST /api/v1/whitelisted-wallets/{wallet_id}/addresses
Add address to whitelisted wallet
Description
Base URL: https://wallet.pert.paranoid.security
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
wallet_id |
path | string | No | Wallet ID | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Request body
{
"address": "string",
"currency_id": "string"
}
Schema of the request body
{
"type": "object",
"required": [
"address"
],
"properties": {
"address": {
"type": "string"
},
"currency_id": {
"type": "string"
}
}
}
Responses
{
"address": "string",
"asset": {
"created_at": "string",
"decimals": 0,
"descriptor": "string",
"ext_asset_id": "string",
"icon_url": "string",
"id": "string",
"is_base": true,
"status": "string",
"symbol": "string",
"updated_at": "string",
"whitelisted_wallet_id": "string"
},
"asset_id": "string",
"balance": "string",
"converted_balance": {
"formatted_value": "string",
"relevant_on": "string",
"symbol": "string"
},
"created_at": "string",
"id": "string",
"updated_at": "string",
"whitelisted_wallet_id": "string",
"whitelisted_wallet_type": "internal"
}
Schema of the response body
{
"type": "object",
"required": [
"address",
"asset_id",
"created_at",
"id",
"updated_at"
],
"properties": {
"address": {
"type": "string"
},
"asset": {
"$ref": "#/components/schemas/AddressAsset"
},
"asset_id": {
"type": "string"
},
"balance": {
"type": "string"
},
"converted_balance": {
"$ref": "#/components/schemas/PricesConvertedAmount"
},
"created_at": {
"type": "string"
},
"id": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"whitelisted_wallet_id": {
"type": "string"
},
"whitelisted_wallet_type": {
"$ref": "#/components/schemas/AddressWalletType"
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
DELETE /api/v1/whitelisted-wallets/{wallet_id}/addresses/{address_id}
Delete address from whitelisted wallet
Description
Base URL: https://wallet.pert.paranoid.security
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
address_id |
path | string | No | Address ID | |
wallet_id |
path | string | No | Wallet ID | |
X-Workspace-Id |
header | string | No | Preferred workspace context |
Responses
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
workspace
GET /api/v1/workspace
Show available workspaces list
Description
Base URL: https://wallet.pert.paranoid.security
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
company_id |
query | string | No | Company ID | |
limit |
query | integer | No | Limit | |
offset |
query | integer | No | Offset | |
search_name |
query | string | No | Search by workspace name | |
status |
query | string | No | Filter by status (new, active, disabled, blocked) |
Responses
{
"offset": 0,
"total": 0,
"workspaces": [
{
"company_id": "string",
"created_at": "string",
"freeze_reason": "string",
"frozen": true,
"frozen_at": "string",
"frozen_by": "owner",
"id": "string",
"is_testnet": true,
"name": "string",
"status": "new",
"updated_at": "string"
}
]
}
Schema of the response body
{
"type": "object",
"required": [
"offset",
"total",
"workspaces"
],
"properties": {
"offset": {
"type": "integer"
},
"total": {
"type": "integer"
},
"workspaces": {
"type": "array",
"items": {
"$ref": "#/components/schemas/WorkspaceView"
}
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
GET /api/v1/workspace/{id}
Show workspace info
Description
Base URL: https://wallet.pert.paranoid.security
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
id |
path | string | No | Workspace ID |
Responses
{
"company_id": "string",
"created_at": "string",
"freeze_reason": "string",
"frozen": true,
"frozen_at": "string",
"frozen_by": "owner",
"id": "string",
"is_testnet": true,
"name": "string",
"status": "new",
"updated_at": "string"
}
Schema of the response body
{
"type": "object",
"required": [
"company_id",
"created_at",
"id",
"name",
"status",
"updated_at"
],
"properties": {
"company_id": {
"type": "string"
},
"created_at": {
"type": "string"
},
"freeze_reason": {
"type": "string"
},
"frozen": {
"type": "boolean"
},
"frozen_at": {
"type": "string"
},
"frozen_by": {
"$ref": "#/components/schemas/WorkspaceFrozenBy"
},
"id": {
"type": "string"
},
"is_testnet": {
"type": "boolean"
},
"name": {
"type": "string"
},
"status": {
"$ref": "#/components/schemas/WorkspaceStatus"
},
"updated_at": {
"type": "string"
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
POST /api/v1/workspace/{id}/freeze
Freeze workspace
Description
Base URL: https://wallet.pert.paranoid.security
Switches the workspace into read-only mode. While frozen, only read operations are available.
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
id |
path | string | No | Workspace ID |
Request body
{
"reason": "string"
}
Schema of the request body
{
"type": "object",
"required": [
"reason"
],
"properties": {
"reason": {
"type": "string"
}
}
}
Responses
{
"company_id": "string",
"created_at": "string",
"freeze_reason": "string",
"frozen": true,
"frozen_at": "string",
"frozen_by": "owner",
"id": "string",
"is_testnet": true,
"name": "string",
"status": "new",
"updated_at": "string"
}
Schema of the response body
{
"type": "object",
"required": [
"company_id",
"created_at",
"id",
"name",
"status",
"updated_at"
],
"properties": {
"company_id": {
"type": "string"
},
"created_at": {
"type": "string"
},
"freeze_reason": {
"type": "string"
},
"frozen": {
"type": "boolean"
},
"frozen_at": {
"type": "string"
},
"frozen_by": {
"$ref": "#/components/schemas/WorkspaceFrozenBy"
},
"id": {
"type": "string"
},
"is_testnet": {
"type": "boolean"
},
"name": {
"type": "string"
},
"status": {
"$ref": "#/components/schemas/WorkspaceStatus"
},
"updated_at": {
"type": "string"
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
"description": "Машиночитаемый код ошибки. Стабилен между релизами;\nиспользуйте его для условной обработки в клиенте.\nПолный список см. /integration/errors.",
"type": "string",
"example": "WEBHOOK_NOT_FOUND"
},
"details": {
"description": "Опциональные структурированные детали об ошибке: имя поля\nи причина для валидационных ошибок и т. п.",
"type": "object",
"additionalProperties": {}
},
"error": {
"description": "Человекочитаемое сообщение ошибки.",
"type": "string",
"example": "webhook not found"
}
}
}
POST /api/v1/workspace/{id}/unfreeze
Unfreeze workspace
Description
Base URL: https://wallet.pert.paranoid.security
Lifts the read-only mode. A workspace frozen by a platform administrator can be unfrozen only by a platform administrator.
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
BearerAuth |
header | string | N/A | No | API key |
id |
path | string | No | Workspace ID |
Responses
{
"company_id": "string",
"created_at": "string",
"freeze_reason": "string",
"frozen": true,
"frozen_at": "string",
"frozen_by": "owner",
"id": "string",
"is_testnet": true,
"name": "string",
"status": "new",
"updated_at": "string"
}
Schema of the response body
{
"type": "object",
"required": [
"company_id",
"created_at",
"id",
"name",
"status",
"updated_at"
],
"properties": {
"company_id": {
"type": "string"
},
"created_at": {
"type": "string"
},
"freeze_reason": {
"type": "string"
},
"frozen": {
"type": "boolean"
},
"frozen_at": {
"type": "string"
},
"frozen_by": {
"$ref": "#/components/schemas/WorkspaceFrozenBy"
},
"id": {
"type": "string"
},
"is_testnet": {
"type": "boolean"
},
"name": {
"type": "string"
},
"status": {
"$ref": "#/components/schemas/WorkspaceStatus"
},
"updated_at": {
"type": "string"
}
}
}
{
"code": "WEBHOOK_NOT_FOUND",
"details": {},
"error": "webhook not found"
}
Schema of the response body
{
"type": "object",
"properties": {
"code": {
[...]
